## pure-mpfr-0.5.tar.gz

=== Makefile ===

modname = mpfr
version = 0.5

# platform-specific setup

DLL         = $(shell pkg-config pure --variable DLL)
PIC         = $(shell pkg-config pure --variable PIC)
shared      = $(shell pkg-config pure --variable shared)

libdir      = $(shell pkg-config pure --variable libdir)
installdir  = $(addprefix $(DESTDIR), $(libdir)/pure)

ifeq ($(DLL),.dylib)
dllname = -install_name "$(libdir)/pure/$@"
endif

MOD_CFLAGS  = $(PIC) $(shell pkg-config pure --cflags) $(CFLAGS) $(CPPFLAGS)
MOD_LDFLAGS = $(shell pkg-config pure --libs) $(LDFLAGS)

CFLAGS = -g -O2

# Basic rules to build the module, clean, install and uninstall.

all: $(modname)$(DLL)

$(modname)$(DLL): $(modname).c
	$(CC) $(shared) $(dllname) -o $@ $(MOD_CFLAGS) $^ $(MOD_LDFLAGS) $(LIBS) -lmpfr -lgmp

clean:
	rm -Rf $(modname)$(DLL)*

install: $(modname).pure $(modname)$(DLL)
	test -d $(installdir) || mkdir -p $(installdir)
	cp $^ $(installdir)

uninstall:
	rm -f $(installdir)/$(modname).pure $(installdir)/$(modname)$(DLL)

# Roll a distribution tarball.

DISTFILES = COPYING COPYING.LESSER README Makefile \
$(modname).c $(modname).pure debian/* examples/*.pure
SEDFILES = README

dist = pure-$(modname)-$(version)

date = $(shell date "+%B %-d, %Y")
datesubst = sed -e "s?@version@?$(version)?g" -e "s?|today|?$(date)?g" < $(1) > $(2)

dist: $(DISTFILES)
	rm -rf $(dist)
	mkdir $(dist) && mkdir $(dist)/debian && mkdir $(dist)/examples
	for x in $(DISTFILES); do ln -sf $$PWD/$$x $(dist)/$$x; done
	for x in $(SEDFILES); do rm -f $(dist)/$$x; $(call datesubst,$$PWD/$$x,$(dist)/$$x); done
	rm -f $(dist).tar.gz
	tar cfzh $(dist).tar.gz $(dist)
	rm -rf $(dist)

distcheck: dist
	tar xfz $(dist).tar.gz
	cd $(dist) && make && make install DESTDIR=./BUILD
	rm -rf $(dist)

debsrc = $(shell echo $(dist) | sed -e 's/-$(version)/_$(version)/').orig.tar.gz

deb: $(debsrc) dist
	tar xfz $(dist).tar.gz
	cd $(dist) && debuild $(DEBUILD_FLAGS)
	rm -rf $(dist)

$(debsrc):
	wget -nv https://bitbucket.org/purelang/pure-lang/downloads/$(dist).tar.gz -O $@

=== debian/changelog ===
pure-mpfr (0.4-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 23 May 2012 16:56:28 +0200

=== debian/control ===
Source: pure-mpfr
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev, libmpfr-dev, pkg-config
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-mpfr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MPFR interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides the mpfr module which makes the GNU MPFR
 multiprecision floats available as a new number type in the Pure language, so
 that they work with the other types of Pure numbers in an almost seamless
 fashion.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

https://bitbucket.org/purelang/pure-lang/downloads/pure-mpfr-(.*)\.tar\.gz
